DH_new(3) | OpenSSL | DH_new(3)

# NAME

DH_new, DH_free - allocate and free DH objects

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

#include <openssl/dh.h>
DH* DH_new(void);
void DH_free(DH *dh);

# DESCRIPTION

DH_new() allocates and initializes a DH structure.

DH_free() frees the DH structure and its components. The values are erased before the memory is returned to the system.

# RETURN VALUES

If the allocation fails, DH_new() returns NULL and sets an error code that can be obtained by ERR_get_error(3). Otherwise it returns a pointer to the newly allocated structure.

DH_free() returns no value.

# SEE ALSO

openssl_dh(3), ERR_get_error(3), DH_generate_parameters(3), DH_generate_key(3)

# HISTORY

DH_new() and DH_free() are available in all versions of SSLeay and OpenSSL.

2009-07-19 | 1.0.1u